C
C SUBROUTINE 'REPLOT'
C ===================
C
C Replot a saved image on a tektronix
C
      SUBROUTINE REPLOT (IUN, FILNAM, LUNOUT)
C
C PARAMETERS
C
C         IUN (I)  Unit number for reading the image vectors file
C      FILNAM (I)  Name of file in which image vectors were saved
C      LUNOUT (I)  Unit number for the terminal output
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      CHARACTER*(*) FILNAM
      CHARACTER*80 SAVBUF
C
C CODE
C ----
C
      IFAIL=1
      CALL CCPDPN (-IUN,FILNAM,'READONLY','U',LDUM,IFAIL)
      IF (IFAIL.EQ.-1) RETURN
10    READ (IUN,END=100,ERR=100) NB,SAVBUF
      CALL TTSEND (LUNOUT, SAVBUF(1:NB), 2)
      GO TO 10
100   CLOSE (IUN)
      RETURN
      END
